<?php
if (!defined('_ECRIRE_INC_VERSION')) return;
 
 
/**
 * Un simple formulaire de config,
 * on a juste à déclarer les saisies
 * @link : https://contrib.spip.net/Formulaire-de-configuration-avec-le-plugin-Saisies
 **/
function formulaires_configurer_orgchartjs_saisies_dist(){
	// $saisies est un tableau décrivant les saisies à afficher dans le formulaire de configuration

    $saisies = array(
        array( // le fieldset 
            'saisie' => 'fieldset',
            'options' => array(
                'nom' => 'fieldset_espace_prive',
                'label' => _T('orgchartjs:conf_espace_prive'),
                'icone' => 'cadenas-ferme-24.png',
            ),
            'saisies' => array( // les champs dans le fieldset 
                array( // activation dans l’espace privé
                    'saisie' => 'case',
                    'options' => array(
                        'nom' => 'espace_prive',
                        'label' => _T('orgchartjs:activer'),
                        'label_case' => _T('orgchartjs:oui'),
                        'explication' => _T('orgchartjs:conf_explication_dispo_priv'),
                        'conteneur_class' => 'pleine_largeur'
                        )
                ),
                array( // quoi
                    'saisie' => 'radio',
                    'options' => array(
                        'afficher_si' => '@espace_prive@=="on"',
                        'nom' => 'hierarchie',
                        'label' => _T('orgchartjs:conf_hierarchie'),
                        'explication' => _T('orgchartjs:conf_explication_hierarchie'),
                        'defaut' => 'oui',
                        'datas' => array(
                            'non' => _T('orgchartjs:non'),
                            'oui' => _T('orgchartjs:oui'),
                            'specifique' => _T('orgchartjs:specifique'),
                        ),
                    )
                ),
                array( // où
                    'saisie' => 'checkbox',
                    'options' => array(
                        'afficher_si' => '@espace_prive@=="on" && @hierarchie@!="non"',
                        'nom' => 'localisation',
                        'label' => _T('orgchartjs:conf_localisation'),
                        'explication' => _T('orgchartjs:conf_explication_localisation'),
                        'defaut' => 'droite',
                        'datas' => array(
                            'haut' => _T('orgchartjs:haut'),
                            'gauche' => _T('orgchartjs:gauche'),
                            'droite' => _T('orgchartjs:droite'),
                        )
                    )
                ),
                array( // substitution
                    'saisie' => 'case',
                    'options' => array(
                        'afficher_si' => '@localisation@ IN "haut"',
                        'nom' => 'substitution',
                        'label' => _T('orgchartjs:conf_substitution'),
                        'explication' => _T('orgchartjs:conf_explication_substitution'),
                        'label_case' => _T('orgchartjs:oui')
                    )
                )
            )
        ),
        array( // le fieldset pour l'espace public
            'saisie' => 'fieldset',
            'options' => array(
                'nom' => 'fieldset_espace_public',
                'label' =>  _T('orgchartjs:conf_espace_public'),
                'icone' => 'cadenas-ouvert-24.png',
            ),
            'saisies' => array( // les champs dans le fieldset 
                array( // activation dans l’espace public
                    'saisie' => 'case',
                    'options' => array(
                        'nom' => 'espace_public',
                        'label' => _T('orgchartjs:activer'),
                        'label_case' => _T('orgchartjs:oui'),
                        'explication' => _T('orgchartjs:conf_explication_dispo_pub'),
                        'conteneur_class' => 'pleine_largeur'
                        )
                )
            )
        )
    );
 
    return $saisies;

}